Update dictionary-entries
curl --request PATCH \
--url https://wisepim.com/api/public/v1/dictionary-entries/{resource_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_term": "<string>",
"do_not_translate": true,
"translations": {},
"context": "<string>",
"categories": [
123
]
}
'import requests
url = "https://wisepim.com/api/public/v1/dictionary-entries/{resource_id}"
payload = {
"source_term": "<string>",
"do_not_translate": True,
"translations": {},
"context": "<string>",
"categories": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_term: '<string>',
do_not_translate: true,
translations: {},
context: '<string>',
categories: [123]
})
};
fetch('https://wisepim.com/api/public/v1/dictionary-entries/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source_term": "<string>",
"do_not_translate": true,
"translations": "<unknown>",
"context": "<string>",
"categories": [
123
],
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Update dictionary-entries
PATCH /dictionary-entries/. Required scopes: dictionary-entries:write.
PATCH
/
api
/
public
/
v1
/
dictionary-entries
/
{resource_id}
Update dictionary-entries
curl --request PATCH \
--url https://wisepim.com/api/public/v1/dictionary-entries/{resource_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_term": "<string>",
"do_not_translate": true,
"translations": {},
"context": "<string>",
"categories": [
123
]
}
'import requests
url = "https://wisepim.com/api/public/v1/dictionary-entries/{resource_id}"
payload = {
"source_term": "<string>",
"do_not_translate": True,
"translations": {},
"context": "<string>",
"categories": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_term: '<string>',
do_not_translate: true,
translations: {},
context: '<string>',
categories: [123]
})
};
fetch('https://wisepim.com/api/public/v1/dictionary-entries/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source_term": "<string>",
"do_not_translate": true,
"translations": "<unknown>",
"context": "<string>",
"categories": [
123
],
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Path Parameters
Body
application/json
Maximum string length:
255Mapping of locale code → translated term. Empty when do_not_translate=True.
Show child attributes
Show child attributes
Maximum string length:
100000If set, the entry only applies to products in any of these categories. Empty = applies to every product.
Maximum array length:
500Response
OK
Maximum string length:
255Mapping of locale code → translated term. Empty when do_not_translate=True.
If set, the entry only applies to products in any of these categories. Empty = applies to every product.

